camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: [CANCEL][VOTE] Release Apache Camel 2.9.0
Date Fri, 23 Dec 2011 06:35:23 GMT
Hi Christian,

I think that the easiest way is:
1/ in the default jre.properties comment the package with issues (JAXB, etc)
2/ in Karaf, by default, we provide a core-spec/core-api feature to 
install the "correct" bundle (for JAXB, etc).

In that case, we completely override the JRE packages and "control" the 
bundles that we install to provide such packages.

WDYT ?

Regards
JB

On 12/23/2011 12:53 AM, Christian Müller wrote:
> May it's a stupid idea, but if an OSGI containder decide to hide some
> packages from the JRE (for good reasons), shouldn't it install the bundles
> by default which provides the hidden packages so that we can trust the
> javax.xml.xxx packages are available - via the JRE or a bundle...
>
> Best,
> Christian
>
> Sent from a mobile device
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message